Update an existing watchlist
https://{kibana_url}
- PUT /api/entity_analytics/watchlists/{id}
Updates the name, description, risk modifier, or managed status of an existing entity analytics watchlist.
Path Parameters
-
idstring · max: 256required -
The ID of the watchlist to update
Request
-
descriptionstring · max: 1000 -
Description of the watchlist
-
managedboolean -
Indicates if the watchlist is managed by the system
-
namestring · max: 256required -
Unique name of the watchlist
-
riskModifiernumber · min: 0 · max: 2required -
Risk score modifier associated with the watchlist
Response
Watchlist updated successfully
-
createdAtstring -
Timestamp indicating when the watchlist was created
-
descriptionstring -
Description of the watchlist
-
entityCountnumber -
Number of entities in the watchlist
-
entitySourceIdsstring -
List of entity source IDs associated with the watchlist
-
hasManualEntitiesboolean -
Indicates whether the watchlist contains manually assigned entities
-
idstring -
The unique ID of the watchlist
-
managedbooleanrequired -
Indicates if the watchlist is managed by the system
-
namestringrequired -
The name of the watchlist
-
riskModifiernumberrequired -
Risk score modifier associated with the watchlist
-
updatedAtstring -
Timestamp indicating when the watchlist was last updated